
; --------------------------------------------------------------------
;       Template DIRECTOR.INI file for Director MX 2004 for Windows.
; --------------------------------------------------------------------
 
; All of the settings shown here are commented-out in the original version 
; of the file.  To change a setting, you must remove the comment 
; character (";") at the beginning of the setting's line.

; The values shown for each setting in the original file are Director's 
; internal defaults.  The default value for a setting is used when it 
; isn't explictly set in the .INI file or when no .INI file exists.  
; Since these defaults are already stored internally in the Director 
; application and projectors, it is *not* necessary to distribute this 
; file with your movie unless you change one or more of the settings.

; For use with projectors, you must name your .INI file "<ProjectorName>.INI"
; rather than "DIRECTOR.INI" and place the file in the same directory as
; your projector executable. 

; For use with shockwave, you must name your .INI file "shockwave.ini", and
; place the file in the shockwave folder ( for instance, 
; c:\windows\system32\macromed\shockwave 10 ).

[Memory]
;ExtraMemory=400
; Amount of kBytes over and above physical memory for use by a projector.

;SwapFileMeg=0
; Amount of megabytes of SwapFile space to enable during authoring.
; Default is to allow swapfile space of up to 1/2 of the available 
; physical RAM.

[Palette]
;Animation=0
; While performing an animation of the palette in 8-bit colour mode, 
; director reserves all colours in the system. It's obvious when this 
; happens, as the desktop and other applications will repaint in black 
; and white. If your movie does not often change the palette, this 
; may not be a problem, but if it changes the palette frequently, 
; this desktop flashing can ruin your animation.
; 1: Reserve colours before first palette effect, but do not release them
;    until the animation is done.
; 0: Default behavior. Reserve colours only during the palette effect.
;
;SystemFriendly=0
;   This property only functions in a projector
; 1: When in 8-bit colour a fixed palette of the web 216 colours plus ten
;    additional greys will be used by the projector. Colours from the movie
;    will be re-mapped to the nearest available colour.
; 0: Default behavior. When in 8-bit colour, changes in the palette channel
;    are propagated to the system palette. That is, the screen colours will
;    change.


[Settings]
;SingleTaskbarEntry=1
;	This property only functions in Windows Projectors.
; 1: MIAWs that open up during the projector's execution
;	  will not open up as their own separate entries in the task bar.
;	  This is pre-DirectorMX 2004 behavior.
; 0: Default behavior. MIAWs that open up during the projector's execution
;	  will open up as their own separate entries in the task bar.
;
;SingleInstance=1
;	This property only functions in Windows Director and Projectors.
; 1: If the application is already running, attempts to launch a second
;    copy will bring the existing copy to the front of your desktop, without
;    launching a new copy.
; 0: Default behavior. Multiple copies of the application can run concurrently.
;
;EscapeOk=1
;	This property is only used by projectors.
; Overrides the projector's escape lock setting.
;
;FullScreen=1
;	This property is only used by projectors.
; Overrides the projector's "full screen" setting, from 
; Create Projector's Option's Dialog.
;
;UseTitleBar=1
;	This property is only used by projectors.
; Overrides the projector's "show title bar" setting, from
; Create Projector's Option's Dialog.
;
;BackgroundAnimation=1
;	This property is only used by projectors.
; Overrides the projector's "animate in background" setting, from 
; Create Projector's Option's Dialog.
;
;SwitchColorDepth=1
;	This property is only used by projectors.
; Overrides the projector's "reset monitor to match movie's color depth"
; setting, from the Macintosh Create Projector's Option's Dialog.
;
;CenterStage=1
;	This property is only used by projectors.
; Overrides the projector's "center" setting, from
; Create Projector's Option's Dialog.
;
;ResizeStage=1
;	This property is only used by projectors.
; Overrides the projector's "stage size" setting, from
; Create Projector's Option's Dialog.
;

[Lingo]
;DisplayFullLingoErrorText=1
;	This property is used by shockwave and projectors.
; 1: Lingo errors generate a more descriptive text in the error alert.
; 0: Lingo errors generate a "script error. continue ?" yes/no alert.
;

; Global Sound Settings ------------------------------------------------

[Sound]
; NOTE:
; Almost all of these settings apply ONLY to the Macromix sounddevice (the soundDevice = "MacroMix"),
; and will not have any effect if the sounddevice is "DirectSound" or
; any other sounddevice.

; Settings in the [Sound] section apply to all sound cards.

;SpoolBufferAlloc=0 
; When to allocate spool buffers
; 0 means allocate/deallocate dynamically, when sound starts/stops.
; 1 means allocate spool once at startup and keep for entire session.

;LowSpoolBufferMs=2500
; Length of one 8bit spool buffer, in milliseconds.

;HighSpoolBufferMs=1500
; Length of one 16-bit spool buffer, in milliseconds.

;SpoolBufferCount=2
; Number of spool buffers to use. Must range from 2 to 10.

;MixMaxChannels=8
; Maximum number of channels supported by the sound mixer. The actual
; number you can mix depends on the processing power of your computer.
; Must range from 1 to 8.

;MixWaveDevice=0 
; DeviceID of waveOut device to use for playing.
; Must range from 0 to (# of devices - 1).

;SoundLevel0=0                  ; waveOut volume of lingo soundLevel = 0
;SoundLevel1=24770              ; waveOut volume of lingo soundLevel = 1
;SoundLevel2=35030              ; waveOut volume of lingo soundLevel = 2
;SoundLevel3=42903              ; waveOut volume of lingo soundLevel = 3
;SoundLevel4=49540              ; waveOut volume of lingo soundLevel = 4
;SoundLevel5=55388              ; waveOut volume of lingo soundLevel = 5
;SoundLevel6=60674              ; waveOut volume of lingo soundLevel = 6
;SoundLevel7=65535              ; waveOut volume of lingo soundLevel = 7

;MixMaxFidelity=99
; Sets a limit on the fidelity of sound output. For best performance, use
; the default setting of 99 (switch on-the-fly), or choose the lowest value
; possible of the three fixed sound formats (0, 1, 2):
;  0  = 22.05k samples/sec, 8-bit, mono
;  1  = 22.05k samples/sec, 8-bit, stereo
;  2  = 44.1k samples/sec, 16-bit, stereo
;  99 = Switch formats on-the-fly.  The first sound in a run of overlapping
;       sounds determines the format for that run.  The format used is the
;       lowest of the three output formats (0,1,2 above) which is as close
;       as possible in fidelity to the sound to be played, while still being
;       supported by the installed sound card. 

; Default Sound Settings -----------------------------------------------
; DLLNameComment= Uncomment this to enable QuickTime 3 Sound Mixing
; DLLName=QT3Mix.dll

[Low Mono Default Sound]
; Settings in the [Low Mono Default Sound] section apply when the target
; output format is 22K, 8-bit, mono.  The target output format depends
; on the capabilities of the sound card as well as the setting of
; MixMaxFidelity.   These settings are used when the installed sound card
; is not known to Director and is not specified explictly in the
; the <SoundCardName> sections.  Settings in the <SoundCardName> or
; Override sections will override these values for specific sound cards,
; or for all sound cards, respectively.

;MixBufferMs=200
; Length of each mixing buffer, in milliseconds.

;MixBufferBytes=0
; Length of each mixing buffer, in bytes.  Setting this value to non-0,
; along with setting MixBufferMs=0, lets you specify the buffer size in 
; bytes rather than milliseconds.

;MixBufferCount=4
; Number of mixing buffers to use. Must range from 2 to 16.

;MixServiceMode=0
; 0 means use timer interrupts to drive mixer. Interrupt settings will be
;         applied from MixIntPeriodMs and MixIntResolutionMs.
; 1 means use polling to drive mixer. This may cause sound to drop out when
;         CPU cycles are being hogged by other tasks, disk accesses, etc.
; 2 means use the waveOut buffer-completion callback to drive mixer.  If
;         this mode is set, it is best to use MixBufferBytes to specify a
;         fixed buffer size which is a multiple of 1024.  This mode is not 
;         supported by all sound cards.

;MixIntPeriodMs=200
; Interrupt period, in milliseconds. Only used when MixServiceMode is zero.

;MixIntResolutionMs=50
; Interrupt resolution, in milliseconds. Only used when MixServiceMode is zero.


[Low Default Sound]
; Settings in the [Low Default Sound] section apply when the target
; output format is 22K, 8-bit, stereo.  The target output format depends
; on the capabilities of the sound card as well as the setting of
; MixMaxFidelity.   These settings are used when the installed sound card
; is not known to Director and is not specified explictly in the
; the <SoundCardName> sections.  Settings in the <SoundCardName> or
; Override sections will override these values for specific sound cards,
; or for all sound cards, respectively.

;MixBufferMs=200
;MixBufferBytes=0
;MixBufferCount=4
;MixServiceMode=0
;MixIntPeriodMs=200
;MixIntResolutionMs=50


[High Default Sound]
; Settings in the [High Default Sound] section apply when the target
; output format is 44K, 16-bit, stereo.  The target output format depends
; on the capabilities of the sound card as well as the setting of
; MixMaxFidelity.   These settings are used when the installed sound card
; is not known to Director and is not specified explictly in the
; the <SoundCardName> sections.  Settings in the <SoundCardName> or
; Override sections will override these values for specific sound cards,
; or for all sound cards, respectively.
;MixBufferMs=200
;MixBufferBytes=0
;MixBufferCount=4
;MixServiceMode=0
;MixIntPeriodMs=200
;MixIntResolutionMs=50



; Sound Card-Specific Settings -----------------------------------------

;[Low Mono <SoundCardName>]
; Settings in this section apply when the target output format is
; 22K 8-bit mono, and you're using a particular sound card.  The target
; output format depends on the capabilities of the sound card, as well
; as the setting of MixMaxFidelity.  You can have any number of these 
; sections. Replace "<SoundCardName>" (including the angled brackets) 
; with the actual name of the sound card you want to set defaults for.  
; To find the name of your card, launch the Sound Mapper application, 
; and look in the Playback field.  Director maintains a built-in table
; of settings for many popular sound cards.  Settings in this section take 
; precedence over Director's built-in settings.
;MixBufferMs=200
;MixBufferCount=4
;MixBufferBytes=0
;MixServiceMode=0
;MixIntPeriodMs=200
;MixIntResolutionMs=50


[Low <SoundCardName>]
; Settings in this section apply when the target output format is
; 22K 8-bit stereo, and you're using a particular sound card.  The target
; output format depends on the capabilities of the sound card, as well
; as the setting of MixMaxFidelity.  You can have any number of these 
; sections. Replace "<SoundCardName>" (including the angled brackets) 
; with the actual name of the sound card you want to set defaults for.  
; To find the name of your card, launch the Sound Mapper application, 
; and look in the Playback field.  Director maintains a built-in table
; of settings for many popular sound cards.  Settings in this section take 
; precedence over Director's built-in settings.
;MixBufferMs=200
;MixBufferCount=4
;MixBufferBytes=0
;MixServiceMode=0
;MixIntPeriodMs=200
;MixIntResolutionMs=50


;[High <SoundCardName>]
; Settings in this section apply when the target output format is
; 44K 16-bit stereo, and you're using a particular sound card.  The target
; output format depends on the capabilities of the sound card, as well
; as the setting of MixMaxFidelity.  You can have any number of these 
; sections. Replace "<SoundCardName>" (including the angled brackets) 
; with the actual name of the sound card you want to set defaults for.  
; To find the name of your card, launch the Sound Mapper application, 
; and look in the Playback field.  Director maintains a built-in table
; of settings for many popular sound cards.  Settings in this section take 
; precedence over Director's built-in settings.
;MixBufferMs=200
;MixBufferBytes=0
;MixBufferCount=4
;MixServiceMode=0
;MixIntPeriodMs=200
;MixIntResolutionMs=50



; Sound Override Settings ----------------------------------------------

[Low Mono Override]
; Settings in the [Low Mono Override] apply when the target ouput format
; is 22K 8-bit mono.  The target output format depends on the capabilities
; of the sound card, as well as the setting of MixMaxFidelity.
; These settings will override Director's internal settings, any defaults
; specified in the Default Sound sections, as well as settings for specific 
; cards.  Change these settings only if you want to force Director to use
; certain values regardless of the sound card installed in the computer.
; It is not recommended that you modify these settings for movies which
; you are going to distribute, as they will override Director's internal
; settings which are already optimized for various sound cards.
;MixBufferMs=200
;MixBufferBytes=0
;MixBufferCount=4
;MixServiceMode=0
;MixIntPeriodMs=200
;MixIntResolutionMs=50

[Low Override]
; Settings in the [Low Override] apply when the target ouput format
; is 22K 8-bit stereo.  The target output format depends on the capabilities
; of the sound card, as well as the setting of MixMaxFidelity.
; These settings will override Director's internal settings, any defaults
; specified in the Default Sound sections, as well as settings for specific 
; cards.  Change these settings only if you want to force Director to use
; certain values regardless of the sound card installed in the computer.
; It is not recommended that you modify these settings for movies which
; you are going to distribute, as they will override Director's internal
; settings which are already optimized for various sound cards.
;MixBufferMs=200
;MixBufferBytes=0
;MixBufferCount=4
;MixServiceMode=0
;MixIntPeriodMs=200
;MixIntResolutionMs=50


[High Override]
; Settings in the [High Override] apply when the target ouput format
; is 44K 16-bit stereo.  The target output format depends on the capabilities
; of the sound card, as well as the setting of MixMaxFidelity.
; These settings will override Director's internal settings, any defaults
; specified in the Default Sound sections, as well as settings for specific 
; cards.  Change these settings only if you want to force Director to use
; certain values regardless of the sound card installed in the computer.
; It is not recommended that you modify these settings for movies which
; you are going to distribute, as they will override Director's internal
; settings which are already optimized for various sound cards.
;MixBufferMs=200
;MixBufferBytes=0
;MixBufferCount=4
;MixServiceMode=0
;MixIntPeriodMs=200
;MixIntResolutionMs=50


[Movies]
Movie01=Pathname.dir

